Questions tagged [official-repositories]

The official software repositories from Ubuntu, as opposed to PPAs and 3rd-party repositories

Filter by
Sorted by
Tagged with
0
votes
0answers
73 views

Correct PPA to install Python 3 on Ubuntu 18.04 and 20.04 [duplicate]

For Ubuntu 18.04 and 20.04 I need to install python 3. Currently 3.9.5 as I wrote this post. I watched some videos on youtube and read some tutorials. There are two different approaches One sudo apt ...
0
votes
0answers
69 views

Where to get Mingw-w64 ver. 8 for Ubuntu 20.10?

I have Ubuntu 20.10. I would like to compile dxvk. It requires Mingw-w64 >= 8.0. The mingw-w64 website suggests to download from Ubuntu repositories. The version in the repository is 7.0.0 for ...
12
votes
3answers
1k views

Are apt packages in main and universe ALWAYS guaranteed to be built from source by Ubuntu or Debian mantainers?

I wonder if Canonical (and/or Debian) provide any sort of guarantee that all packages in main and universe repos are always either built from source by themselves, or verified by them (in case of ...
0
votes
1answer
37 views

How i can install playonlinux

when install POL the message download failed: E:htpp://security.ubuntu.com/ubuntu focal-updates/main amd64 libproxy1-plugin-gsettings amd64 0.4.15ubuntu1.2 isnot (yet) available (403 forbidden [ ip:91....
0
votes
1answer
42 views

Are snapcraft.io apps 'main' repositories?

I try to understand when an app comes from the 'main', fully backed repositories, when otherwise. Software Center shows this ('main', 'universe' etc.) for normal .deb packages, but just 'snapcraft.io' ...
0
votes
0answers
20 views

It seems that “-updates” repository is enabled during install, but disabled afterwards. How can that be?

I've had similar, strange dependency issues on very default packages (e.g. openssh-server or VLC) when I tried to install them after the first boot after initial fresh system setup. It seems that ...
0
votes
1answer
197 views

Bashdb in Ubuntu 20.04

I cannot find bashdb in Ubuntu (MATE) 20.04 repos, i.e apt returns nothing when searching for 'bashdb'. I'd rather avoid installing it from source. Do you know why it was not added to the repos?
0
votes
1answer
76 views

Unable to disable proposed updates (developer options)

I'm unable to uncheck "Pre-released updates" from Developer Options in "Software & Updates" application. When I click to uncheck the system asks for my password and after that ...
0
votes
1answer
298 views

What is the difference between <suite> and <suite>-security repositories in apt?

I know about the difference between, for example, focal-security, focal-updates and focal-backports. But /etc/apt/sources.list also has URLs for focal in addition to the others. This is confusing. Is ...
1
vote
0answers
29 views

GUI App or Bash command to eliminate anything but official Ubuntu repository packages

I use Ubuntu Studio 20.04.1 LTS (64 bit Linux). I want to know if there is some GUI App and/or a Bash command (command line) to full eliminate any package which is not from the official Ubuntu ...
0
votes
0answers
29 views

Do Ubuntu interim release repositories contain beta versions of packages?

Can't check it right now since there is no interim version available for download - the only option is 20.04 LTS. So, are the repositories for say 20.10 going to include beta versions of packages? Its ...
1
vote
0answers
212 views

Cannot build packages from source using “apt source” and “debuild”

I have a strange problem. I want to build x264 and gpac from source on Ubuntu 18.04 using the official command "apt source", followed by "sudo apt get build-dep" then "debuild&...
0
votes
1answer
69 views

libfreetype6-dev and libpng

I am using Ubuntu 16 and am having conflicts vis a vis libpng and libfreetype6-dev. For development purposes, I have to use libpng16 (libpng16-16, libpng16-dev, libpng16-devtools). I also need to use ...
1
vote
0answers
192 views

LXC container ubuntu 18.04 apt update problem

I use LXC. I have not been able to update for the last 1 week. The errors are as follows: domain name resolution, Ping etc. It works. root@nginx2:~# ping -c 2 google.com PING google.com (172.217.18....
1
vote
0answers
12 views

What is the policy for official apt packages moving to old-releases? [duplicate]

When do the apt packages get published to http://old-releases.ubuntu.com/ubuntu/ and removed from http://archive.ubuntu.com/ubuntu/ for a given Ubuntu release? As at 2020-06-11, this is the current ...
0
votes
1answer
49 views

The older official icons and/or theme

Without success, I started looking for older official themes and icons. I personally do not like the design of 20.04 and are not customer-friendly. I didn't expect them to make such a big change in an ...
0
votes
1answer
218 views

How to install Asterisk config files?

I have installed Asterisk using the sudo apt-get install asterisk command, but when I run asterisk -r I see the Unable to open specified master config file '/etc/asterisk/asterisk.conf', which means ...
7
votes
3answers
8k views

Is missing cockpit-docker no longer in the 20.04 repository?

I installed Ubuntu server 20.04 into a vm, to see how if I want upgrade my 18.04. I use cockpit for ease of use on my 18.04. Anyways the cockpit-docker deb is missing from the repository. Why is this? ...
0
votes
0answers
14 views

Why binwalk didn't update in repository [duplicate]

When I install binwalk with apt-get install binwalk in Ubuntu 18 I get version 2.1.1 even in https://github.com/ReFirmLabs/binwalk/releases there is version 2.2.0. long time ago. why binwalk didn't ...
2
votes
1answer
18k views

Updating from such a repository can't be done securely, and is therefore disabled by default when running sudo apt-get update

I am running sudo apt-get update on my ubuntu 18.10 No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 18.10 Release: 18.10 Codename: cosmic Then getting below response:...
0
votes
2answers
69 views

ubuntu 16.04 desktop i386 support on repositories, final date

The support for Ubuntu 16.04 will end at End Of Life date? I don't have clear the concept. How does this work?
0
votes
1answer
78 views

Does the LMMS package on the Ubuntu repository supports VSTs?

I've installed LMMS through the Ubuntu repositories, and I noticed there's no "VeStiGe" instrument to allow the use of VSTs. I also haven't found any library on /usr/x86_64-linux-gnu/lmms named ...
1
vote
0answers
105 views

Why isn't pcre2grep found in the official Ubuntu repositories under the name pcre2grep?

Why isn't pcre2grep found in the official Ubuntu repositories under the name pcre2grep, though pcregrep is found by pcregrep? pcre2grep is currently a part of pcre2-utils Also it would be nice to ...
0
votes
1answer
38 views

Update core libraries ONLY from official repositories

Is there any way of installing core libraries ONLY from official repositories and don't accept those libraries offered in custom repositories if it has a different version than official? Keep in ...
4
votes
1answer
753 views

Why is docker not in official Ubuntu repos?

I am aware of the more generic version of this question, found here: Why is some software not in the official Ubuntu repositories? However, I would like to ask about Docker in particular. It seems ...
0
votes
0answers
18 views

Sysdig - version in Ubuntu repository is outdated? (Ubuntu 18) [duplicate]

Is anyone able to explain why the version of Sysdig that is available through the official Ubuntu repository is so out of date? Also, is there a way to have this updated to the latest release? ...
1
vote
0answers
103 views

Why is there no git-remote-hg package in Ubuntu 18.04?

Ubuntu package search for git-remote-hg shows: Package git-remote-hg xenial (16.04LTS) (vcs): bidirectional bridge between Git and Mercurial [universe] 0.3-1: all disco (19.04) (vcs): ...
2
votes
1answer
472 views

Installation of wine32 in a docker container

I'm trying to get a Windows application to run in a Ubuntu docker container. When installing wine32 I get the following errors (I'm on a Windows 10 PC): E: Failed to fetch http://archive.ubuntu.com/...
3
votes
2answers
4k views

How to install perf on Ubuntu 18.04?

I have tried to install perf using sudo apt-get install linux-tools-$(uname -r) linux-tools-generic It gives an error saying: Reading package lists... Done Building dependency tree Reading state ...
0
votes
0answers
157 views

PlayOnLinux installation scripts never load

I've installed PlayOnLinux from the official Ubuntu package repositories. It mostly works fine but it seems that it's unable to fetch any installation script. . Clicking on Install program results ...
0
votes
0answers
368 views

Unable to install any software in my ubuntu 18.04? [duplicate]

sudo apt-get install k3b Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: ...
-1
votes
1answer
575 views

“Ibus-table” a proprieatary software, is in Ubuntu Main Repository

In "Ubuntu Software" GUI to install and remove software, it says that Ibus-table has propritary license and the source is Ubuntu Bionic Main repository. But, here, it is mentioned that: "Main is ...
0
votes
1answer
355 views

Error while installing Franz on Ubuntu 18.04.1

I am trying to follow this guide to install Franz on Ubuntu 18.04.1. I have downloaded the .tar.gz package, extracted it and tried to run ./franz - then I got an error about the missing libconf ...
1
vote
1answer
2k views

apt update fails after upgrade to 18.04 [closed]

After upgrading from 16.04 to 18.04 I get errors when I run apt-update. Here's the output: Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB] Get:3 http://archive.ubuntu.com/...
4
votes
1answer
862 views

Which is the timezone of the Ubuntu official distribution sites?

Speaking about the Ubuntu iso images downloadable from the official sites [1,2], with which timezone are they saved? Getting some info from host and whois on old-releases.ubuntu.com and releases....
5
votes
2answers
548 views

Is htop becoming part of the default install?

I noticed that the htop package for 18.04 is in main, where previous releases had it in universe. This is reflected in the packages index and on Launchpad. Software in main is supported by Canonical, ...
0
votes
1answer
166 views

Am I allowed to create and distribute a deb package to Ubuntu store if I didn't develop the software?

Am I allowed to create and distribute a deb package to Ubuntu store if I didn't develop the software? I want to create a package (.deb) file following Debian/Ubuntu standards, submit it to Ubuntu ...
7
votes
4answers
43k views

apt update error: The repository 'http://us.archive.ubuntu.com/ubuntu saucy Release' does not have a Release file

I run "sudo apt -y update" on my Ubuntu 16.04 server, but I got the following error: # apt -y update Reading package lists... Done ...
2
votes
0answers
5k views

Installing mysql client 5.6 on Ubuntu

I am trying to install mysql 5.6 on an Ubuntu 16.04 server. I understand that the packages available for mysql are with version 5.7 but in order to install 5.6 I did the following steps RUN rm -rf /...
13
votes
1answer
1k views

Why does archive.ubuntu.com seem to have infinitely nested “ubuntu” folders?

If you go to the http://archive.ubuntu.com/ubuntu/ site, and then just click multiple times on the ubuntu folder, it looks like you can't actually go into the folder. The exact same directory listing ...
1
vote
1answer
290 views

Fresh install of ubuntu zesty server from dvd not upgradeable

After downloading the amd64 zesty server iso and burning it to dvd I did a fresh install with nothing but the basic packages. I did not check any of the optional 'boxes' during the install. There are ...
1
vote
0answers
74 views

How to submit an application to ubuntu repositories without having to packaging it since i'm not a programmer?

I'm a physical therapist and would like to submit an application created under the GNU General Public License, version 2. It's called SAPO and you can find the executable jar and the source code here. ...
3
votes
1answer
2k views

When will PHP 7.1 be available in official repositories? [closed]

I'm aware that I can install any version of PHP using the answer here: How do I install different (upgrade or downgrade) PHP version in still supported Ubuntu release? I'm running an Ubuntu 16.04 LTS ...
0
votes
1answer
229 views

Good or Bad?: copy and paste the source.list of apt-get from another Ubuntu machine?

I have two Ubuntu servers: An Ubuntu server 16.04 LTS installed from a CD-R burned with https://www.ubuntu.com/download/server An Ubuntu server 16.04 LTS on a pine64 with a provided OS image from ...
17
votes
2answers
1k views

Why is some software not in the official Ubuntu repositories?

To install some applications, we need to add a repository to the system. Why didn't the creators just put them into the Main or Universe repositories, though those applications have GPL license and ...
0
votes
1answer
301 views

how is the concatenate dog utility installed?

Where is the repo to install dog? To get the command on Ubuntu you can just open a terminal and type: sudo apt-get install dog After the installation you can retrieve all the information ...
0
votes
1answer
1k views

PPA for Adobe Brackets in 16.04 [duplicate]

Is there any official PPA for Adobe Brackets in Ubuntu 16.04 ? I currently download .deb files from their website and install it manually. I want to automate the updating processing like Atom.
0
votes
1answer
872 views

Install Latest Blender in Ubuntu-Studio

I have recently installed Ubuntu-Studio. After install I executed the command: sudo apt-get update I also executed this menu item: System => Software Updater In spite of this I found the Blender ...
5
votes
3answers
4k views

GPG KEYEXPIRED error in when updating repositories [duplicate]

Since yesterday afternoon I'm getting some GPG key expired errors from the official repositories (I checked my sources.list and the only sources are the official ones). The URL I'm getting the error ...
0
votes
0answers
246 views

stellarium ubuntu 16.04

When upgrading to ubuntu 16.04, my stellarium 0.10 was automatically upgraded to 0.14.3. I do not want any of this 3D features (only 1 eye left). Tried to downgrade to 0.10. and 0.12 which apt-get ...